Bug 1190708 - nrpe.service does not support reload for systemd
Summary: nrpe.service does not support reload for systemd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nrpe
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sam Kottler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 14:05 UTC by rdoorn
Modified: 2017-07-04 04:20 UTC (History)
3 users (show)

Fixed In Version: nrpe-3.1.1-1.el6 nrpe-3.1.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 04:17:54 UTC


Attachments (Terms of Use)

Description rdoorn 2015-02-09 14:05:18 UTC
Description of problem:
nrpe.service file for systemd does not support reload. (its not in the service file)

Version-Release number of selected component (if applicable):
Installed Packages
Name        : nrpe
Arch        : x86_64
Version     : 2.15
Release     : 2.el7
Size        : 288 k
Repo        : installed
From repo   : epel

How reproducible:
# /bin/systemctl reload nrpe.service
Failed to issue method call: Job type reload is not applicable for unit nrpe.service.

Steps to Reproduce:
yum install nrpe
/bin/systemctl reload nrpe.service

Actual results:
Failed to issue method call: Job type reload is not applicable for unit nrpe.service.


Expected results:
no output, but a HUP to the nrpe daemon

Additional info:
to fix add:
ExecReload=/bin/kill -HUP $MAINPID

underneath the [Service] tag in file:
/etc/systemd/system/multi-user.target.wants/nrpe.service
provided by the nrpe package

Comment 1 Fedora Update System 2017-02-07 20:31:12 UTC
nrpe-3.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7a7f004578

Comment 2 Fedora Update System 2017-02-09 21:17:28 UTC
nrpe-3.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7a7f004578

Comment 3 Fedora Update System 2017-03-03 22:21:13 UTC
nrpe-3.0.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16f636413b

Comment 4 Fedora Update System 2017-03-03 22:39:07 UTC
nrpe-3.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7d833d4735

Comment 5 Fedora Update System 2017-03-05 03:18:20 UTC
nrpe-3.0.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16f636413b

Comment 6 Fedora Update System 2017-03-05 03:19:56 UTC
nrpe-3.0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7d833d4735

Comment 7 Fedora Update System 2017-04-20 23:04:54 UTC
nrpe-3.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4b4962389a

Comment 8 Fedora Update System 2017-04-20 23:06:38 UTC
nrpe-3.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6efc362080

Comment 9 Fedora Update System 2017-04-22 21:47:51 UTC
nrpe-3.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6efc362080

Comment 10 Fedora Update System 2017-04-27 21:17:31 UTC
nrpe-3.1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d67b84547b

Comment 11 Fedora Update System 2017-04-27 21:20:04 UTC
nrpe-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c0b443f54

Comment 12 Fedora Update System 2017-05-04 22:48:43 UTC
nrpe-3.1.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-928f1e8448

Comment 13 Fedora Update System 2017-05-05 19:18:05 UTC
nrpe-3.1.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-928f1e8448

Comment 14 Fedora Update System 2017-06-15 00:47:43 UTC
nrpe-3.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 15 Fedora Update System 2017-06-15 01:02:56 UTC
nrpe-3.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 16 Fedora Update System 2017-06-15 09:48:41 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 17 Fedora Update System 2017-06-15 09:48:45 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 18 Fedora Update System 2017-07-04 04:17:54 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-07-04 04:20:06 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.